No theme providor exists alert

Hi there,

I keep getting this alert in the console when I run my plugin the development mode:

“No theme provider exists currently, returning defaults, but switching modes is disabled”

For context I am using the create-Figma-plugin toolkit by yuanqing which uses Preact for frontend, and here its link: Create Figma Plugin

Anyone had similar problems or found a solution for it?

5 Likes

Yeah I’m getting this error too. It’s pretty annoying. I don’t know what’s causing it (probably an update) and I don’t remember seeing it in the past.

same here. everytime i move the plugin around in the Figma desktop-app it throws this error - sadly no solution yet…

I’m seeing this as well. Anyone else using Material UI? Wondering if it comes from that…